VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo:

## Avaliable Methods
public method | set_display_name ()
public method | get_display_name ()
public method | set_field_name ()
public method | new ()
public method | get_field_name ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo` class describes the name used by the CLI to display a single field of a class element in the interface definition language.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo::get_display_name | ( |  | ) |

Gets the value of 'display_name' property.

Return values

  display_name | - The current value of the field. Name used by the CLI to display the field . String#

Code:
click to view
# Number of lines of code in get_display_name: 4
sub get_display_name {
my ($self, %args) = @_;
return $self->{'display_name'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo::get_field_name | ( |  | ) |

Gets the value of 'field_name' property.

Return values

  field_name | - The current value of the field. Name of the field . String#

Code:
click to view
# Number of lines of code in get_field_name: 4
sub get_field_name {
my ($self, %args) = @_;
return $self->{'field_name'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{field_name} = $args{'field_name'};
$self->{display_name} = $args{'display_name'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.cli.command.output_field_info');
$self->set_binding_field('key' => 'field_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'display_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo::set_display_name | ( |  | ) |

Sets the given value for 'display_name' property.

Parameters

  display_name | - New value for the field. Name used by the CLI to display the field .

Code:
click to view
# Number of lines of code in set_display_name: 5
sub set_display_name {
my ($self, %args) = @_;
$self->{'display_name'} = $args{'display_name'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputFieldInfo::set_field_name | ( |  | ) |

Sets the given value for 'field_name' property.

Parameters

  field_name | - New value for the field. Name of the field .

Code:
click to view
# Number of lines of code in set_field_name: 5
sub set_field_name {
my ($self, %args) = @_;
$self->{'field_name'} = $args{'field_name'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Cli/Command.pm